1. User Webhooks
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
        GET
      • user.profile.updated
        GET
      • user.joined.space
        GET
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. User Webhooks

user.profile.updated

GET
https://backend.networked.co/

user.profile.updated#

Description: Triggered when user updates profile info.

Request

None

Responses

⚪0
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/'
Response Response Example
{
  "event": "user.profile.updated",
  "timeStamp": 1752574443773,
  "data": {
    "userId": "6787893423126f0012a92ed6",
    "onboardCompany": "test bhdbf",
    "onboardTime": 1736935732619,
    "name": "Gupteswaro Sahu ",
    "email": "gupta.sahu@networked.co",
    "about": "",
    "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-5fc0da0bb3bfc0123e0f7011/file_1751019476044_My%20Photo%201.jpg",
    "profileBanner": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1747893125535_Image%20Pasted%20at%202025-5-21%2018-46.gif",
    "mobile": "222200000",
    "location": "",
    "industry": [
      {
        "name": "Animation",
        "id": "5f16fbd4a62398458f000004"
      }
    ],
    "interests": [],
    "expertise": {
      "expertiseIds": [
        "5f97ecfab53c7a5e979a59bb",
        "5f97ecfab53c7a5e979a59ea",
        "5f97ecfab53c7a5e979a59a7",
        "5f97ecf9b53c7a5e979a5993",
        "5f97ecfab53c7a5e979a59d2",
        "5f97ecf9b53c7a5e979a598b",
        "5f97ecf9b53c7a5e979a596d",
        "5f97ecf9b53c7a5e979a5999",
        "5f97ecfab53c7a5e979a59e0",
        "5f97ecfab53c7a5e979a59dc"
      ],
      "expertiseRefName": [
        "Executive Coaching",
        "Communications",
        "Blogging",
        "Waterfall",
        "Presentation Skills",
        "Strategy",
        "Consulting",
        "Enterprise Architecture",
        "Trainers",
        "Teaching"
      ],
      "rawExpertise": []
    },
    "education": [
      {
        "communityName": "Blooms Academy",
        "degree": "12",
        "description": "adadaddsdasda aadadaddsdasda aadadaddsdasda aadadaddsdasda aadadaddsdasda a",
        "educationId": "67e4fdd768816300127b00de",
        "endTime": 1741564800000,
        "startTime": 1675987200000,
        "fieldOfStudy": "CS",
        "location": "satna"
      }
    ],
    "experiences": [
      {
        "communityName": "Networked",
        "title": "QA",
        "description": null,
        "experienceId": "6787893423126f0012a92ede",
        "endTime": null,
        "startTime": null,
        "location": null,
        "employmentType": "-"
      }
    ],
    "designation": " Software Development",
    "company": "Pixels Technical Solutions",
    "school": "",
    "calendlyUrl": "https://calendly.com/",
    "linkedInUrl": "https://www.linkedin.com/in/kishan-dholakiya-48a261151/",
    "memberSince": 1736935732619
  }
}
Modified at 2026-05-11 08:27:04
Previous
user.joined
Next
user.joined.space
Built with